Bug 461575 - Review Request: openvas-libraries - Support libraries for Open Vulnerability Assessment (OpenVAS) Server
Review Request: openvas-libraries - Support libraries for Open Vulnerability ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-09 05:07 EDT by Huzaifa S. Sidhpurwala
Modified: 2008-11-26 02:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 02:12:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Huzaifa S. Sidhpurwala 2008-09-09 06:05:22 EDT
Updated the rpm to newer upstream release and made spec file changes

[huzaifas@localhost SPECS]$ rpmlint ../RPMS/i386/openvas-libraries-1.0.2-1.fc10.i386.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[huzaifas@localhost SPECS]$ rpmlint ../SRPMS/openvas-libraries-1.0.2-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


SPEC: http://huzaifas.fedorapeople.org/spec/openvas-libraries.spec
SRPMS:http://huzaifas.fedorapeople.org/srpms/openvas-libraries-1.0.2-1.fc10.src.rpm

Parag all yours now :)
Comment 2 Parag AN(पराग) 2008-09-09 06:49:27 EDT
Suggestions:-
1) Group tag for openvas-libraries should be System Environment/Libraries
2) description for -devel should be
%description devel
openvas-libraries-devel contains development libraries and headers for
use with openvas-libraries.
3) As I see that nearly all source file headers have license text, license tag should be GPLv2+
Comment 3 Parag AN(पराग) 2008-10-06 00:52:08 EDT
can you post updated SRPM?
Comment 4 Huzaifa S. Sidhpurwala 2008-10-06 00:58:53 EDT
yep. sorry i had to reinstall my laptop, will do that today :)
Comment 6 Parag AN(पराग) 2008-10-13 03:12:31 EDT
+ is OK
- is NEED work

Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=876684
+ rpmlint is silent for SRPM 
- rpmlint is NOT silent for RPM.
openvas-libraries.i386: W: incoherent-version-in-changelog 1.0-2-2 1.0.2-2.fc10
==> correct it at time of cvs import.
+ source files match upstream url
9113c17581ffec1b1c490896b63422f1  openvas-libraries-1.0.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package openvas-libraries-1.0.2-2.fc10 ->
  Provides: libopenvas.so.1 libopenvas_hg.so.1
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.2.3) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libgnutls.so.26 libgnutls.so.26(GNUTLS_1_4) libnsl.so.1 libopenvas.so.1 libopenvas_hg.so.1 libpcap.so.0.9 libresolv.so.2 libresolv.so.2(GLIBC_2.0) libresolv.so.2(GLIBC_2.2) libresolv.so.2(GLIBC_2.9) libutil.so.1 rtld(GNU_HASH)

+ Package openvas-libraries-devel-1.0.2-2.fc10 ->
   Requires: /bin/sh libopenvas.so.1 libopenvas_hg.so.1

APPROVED.
Comment 7 Parag AN(पराग) 2008-10-29 02:37:27 EDT
can you request cvs here?
Comment 8 Huzaifa S. Sidhpurwala 2008-10-29 02:47:47 EDT
New Package CVS Request
=======================
Package Name: openvas-libraries
Short Description: Support libraries for Open Vulnerability Assessment (OpenVAS) Server
Owners: huzaifas
Branches: F-9 F-10
InitialCC:
Comment 9 Kevin Fenzi 2008-10-29 16:49:55 EDT
cvs done.
Comment 10 Parag AN(पराग) 2008-11-24 01:40:13 EST
Can you build this package for requested branches?
Comment 11 Huzaifa S. Sidhpurwala 2008-11-24 01:47:08 EST
on it now
Comment 12 Huzaifa S. Sidhpurwala 2008-11-26 02:12:08 EST
build now, closing.

Note You need to log in before you can comment on or make changes to this bug.